package com.hchyun.test.dao;

import java.util.List;
import com.hchyun.test.entity.Results;

/**
 * 成绩Mapper接口
 * 
 * @author hchyun
 * @date 2021-01-24
 */
public interface ResultsDao
{
    /**
     * 查询成绩
     * 
     * @param id 成绩ID
     * @return 成绩
     */
    Results selectResultsById(Long id);

    /**
     * 查询成绩列表
     * 
     * @param results 成绩
     * @return 成绩集合
     */
    List<Results> selectResultsList(Results results);

    /**
     * 新增成绩
     * 
     * @param results 成绩
     * @return 结果
     */
    int insertResults(Results results);

    /**
     * 修改成绩
     * 
     * @param results 成绩
     * @return 结果
     */
    int updateResults(Results results);

    /**
     * 删除成绩
     * 
     * @param id 成绩ID
     * @return 结果
     */
    int deleteResultsById(Long id);

    /**
     * 批量删除成绩
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteResultsByIds(Long[] ids);
}
